# source files
set (SRC 
                           ascii.h
  config.c                 config.h
  daemon.c                 daemon.h
  depth.c                  depth.h
                           error.h
  generic_sensor_driver.c  generic_sensor_driver.h
  getopt.c                 getopt.h
  lcm_util.c               lcm_util.h
  nmea.c                   nmea.h
  stdio_util.c             stdio_util.h
  serial.c                 serial.h
  timestamp.c              timestamp.h
  timeutil.c               timeutil.h
                           units.h
  )

# build libcommon
add_library (common ${SRC})
target_link_libraries (common lcmtypes ${LIB_LCM} ${LIB_GLIB} ${LIB_M} ${LIB_GSL} ${LIB_PTHREAD})
